﻿Imports System.IO
Imports System.Runtime.CompilerServices
Imports C1.Win.C1FlexGrid

Public Class Form1
    Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        For Each r As Row In C1FlexGrid.Rows
            For Each c As Column In C1FlexGrid.Cols
                C1FlexGrid(r.Index, c.Index) = $"({r.Index}, {c.Index})"
            Next
        Next
        BildContextMenu()
    End Sub
    Sub BildContextMenu()
        Try
            'Add Context menu:
            Dim menu As New ContextMenuStrip()
            Dim t As ToolStripItem = menu.Items.Add("New")
            't.Image = Image.FromStream(New MemoryStream(My.Resources.NewImg))
            t.Image = ImageList1.Images("add.png")
            AddHandler t.Click, AddressOf menuItem1_Click

            t = menu.Items.Add("Update")
            't.Image = Image.FromStream(New MemoryStream(My.Resources.UpdateImg))
            t.Image = ImageList1.Images("updating.png")
            AddHandler t.Click, AddressOf menuItem2_Click

            t = menu.Items.Add("Delete")
            't.Image = Image.FromStream(New MemoryStream(My.Resources.DeleteImg))
            t.Image = ImageList1.Images("bin.png")
            AddHandler t.Click, AddressOf menuItem3_Click
            C1FlexGrid.ContextMenuStrip = menu

        Catch ex As Exception
            MsgBox("Error 'BildContextMenu' : " & vbCrLf & ex.ToString, MsgBoxStyle.Critical)
        End Try
    End Sub

    Private Sub menuItem1_Click(sender As Object, e As EventArgs)
        Try
            MsgBox("Item 1 clicked / ID = " & C1FlexGrid(C1FlexGrid.Row, 1))

        Catch ex As Exception
            MsgBox("Error 'menuItem1_Click' : " & vbCrLf & ex.ToString, MsgBoxStyle.Critical)
        End Try
    End Sub

    Private Sub menuItem2_Click(sender As Object, e As EventArgs)
        Try
            MsgBox("Item 2 clicked / ID = " & C1FlexGrid(C1FlexGrid.Row, 1))

        Catch ex As Exception
            MsgBox("Error 'menuItem2_Click' : " & vbCrLf & ex.ToString, MsgBoxStyle.Critical)
        End Try
    End Sub

    Private Sub menuItem3_Click(sender As Object, e As EventArgs)
        Try
            MsgBox("Item 3 clicked / ID = " & C1FlexGrid(C1FlexGrid.Row, 1))

        Catch ex As Exception
            MsgBox("Error 'menuItem3_Click' : " & vbCrLf & ex.ToString, MsgBoxStyle.Critical)
        End Try
    End Sub
End Class
